/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.dw.db.entity.*;
import net.northking.cctp.dw.dto.MidManualExecJobDetailDto;
import net.northking.cctp.dw.dto.ProjectDataVo;

import java.util.List;

/**
 * 执行数据中间表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 10:09:06  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
public interface MidManualExecJobService extends BasicService<MidManualExecJob> {

    List<MidManualExecJobDetailDto> execJobPie(String projectId);

    List<MtTestChart> createExecJobProgress(String tenantId);

    Integer countExecJobData(List<MidProjectInfo> midProjectInfos,String tenantId);

    List<MidManualExecJob> findByTenantId(List<MidProjectInfo> midProjectInfos);

    List<DwManualExecJob> findProIdList();

    void deleteByData(List<MidProjectInfo> midProjectInfos);

    List<MtCaseExecChart> getNoExecCaseAmountByProjectId(String projectId);

    ProjectDataVo getCaseBugFindRateByTenantId(String tenantId,List<String> projectIds);

    ProjectDataVo getCaseBugFindRateByProjectId(String projectId);
}
